\documentclass[aspectratio=1610]{beamer}

\usetheme[navigation,footline=fullsinglelight,pagenumbers=full,transition=push,headline=light]{tud}  % 'beamertheme' prefix will be appended automatically

% for handout
% \usepackage{pgfpages}
% \pgfpagesuselayout{4 on 1}[a4paper,landscape,border shrink=2mm]

\usepackage[all=normal,floats,wordspacing,leading,charwidths,tracking]{savetrees}
\usepackage{mathtools}
\usepackage{amsmath}
\usepackage{amssymb}
\usepackage{xparse}
\usepackage{csquotes}
\usepackage{scalerel}
\usepackage{stmaryrd}

\usepackage{csvsimple}
\usepackage{filecontents}
\usepackage{pgfplots}
\usepackage{tikz}
\usetikzlibrary{positioning}
\usetikzlibrary{decorations.pathmorphing}
\usetikzlibrary{decorations.pathreplacing}
\usetikzlibrary{calc}
\usetikzlibrary{arrows}

\usepackage{multirow}
\usepackage{comment}
\usepackage{rotating}

\usepackage{xspace}
\usepackage{array}  % see https://tex.stackexchange.com/a/129081/226150
\usepackage{graphicx}
\usepackage{adjustbox}

\usepackage{../common/abbreviations}
\usepackage{me/commands}

\usepackage[style=authoryear-comp,firstinits=true,backend=biber]{biblatex}
\addbibresource{../common/bibliography.bib}

\let\Bbb\undefined

\def\Alphabet{A,B,C,D,E,F,G,H,I,J,K,L,M,N,O,P,Q,R,S,T,U,V,W,X,Y,Z}
\def\alphabet{a,b,c,d,e,f,g,h,i,j,k,l,m,n,o,p,q,r,s,t,u,v,w,x,y,z}
\newcommand{\mydef}[2]{\expandafter#1\expandafter{\csname#2\endcsname}}
\newcommand{\myforcsvlist}[2]{\expandafter\forcsvlist\expandafter#1\expandafter{#2}}

\newcommand{\defmc}[1]{\mydef{\newcommand}{#1mc}{\ensuremath{\mathcal{#1}}\xspace}}
\newcommand{\defmf}[1]{\mydef{\newcommand}{#1mf}{\ensuremath{\mathfrak{#1}}\xspace}}
\newcommand{\defbb}[1]{\mydef{\newcommand}{#1bb}{\ensuremath{\mathbb{#1}}\xspace}}
\newcommand{\defbf}[1]{\mydef{\newcommand}{#1bf}{\ensuremath{\mathbf{#1}}\xspace}}
\newcommand{\deful}[1]{\mydef{\newcommand}{#1ul}{\ensuremath{\underline{#1}}\xspace}}

\myforcsvlist{\defmc}{\Alphabet}
\myforcsvlist{\defmf}{\Alphabet}
\myforcsvlist{\defbb}{\Alphabet}
\myforcsvlist{\defbf}{\Alphabet}
\myforcsvlist{\defbf}{\alphabet}
\myforcsvlist{\deful}{\Alphabet}

\let\Xmc\undefined

\input{metadata.tex}
\input{me/style.tex}
\input{me/common}

\AtBeginSection[]
{
\setbeamercolor{section in toc}{fg=tudbase}
\setbeamercolor{subsection in toc}{fg=tudbase}
\setbeamercolor{section in toc shaded}{fg=structure}
\setbeamerfont{section in toc}{size=\small}
\setbeamercolor{subsection in toc shaded}{fg=structure}
\setbeamerfont{subsection in toc}{size=\small}
\begin{frame}[shrink=20]
  \vspace{0.25in}
  \frametitle{Outline}
  \tableofcontents[currentsection]
\end{frame}
}

\begin{document}

\maketitle

\begin{frame}[shrink=20]{Table of contents}
\vspace{0.25in}
\tableofcontents
\end{frame}

\input{chapters/intro}
\input{chapters/problem}
\input{chapters/myway}
\input{chapters/results}
\input{chapters/discussion}
\input{chapters/thanks}
\input{chapters/bib}

\end{document}